Subject: [RFC PATCH] ARM: exynos_defconfig: Increase CONFIG_BLK_DEV_RAM_SIZE to 64K

From: [email-masked] (Alim Akhtar)
Date: Wed, 21 Oct 2015 10:26:56 +0530

Hi Arnd

On 10/19/2015 06:52 PM, Arnd Bergmann wrote:
> On Monday 19 October 2015 16:18:35 Alim Akhtar wrote:
>> Spam Status: CRM114
>> CONFIG_BLK_DEV_RAM_SIZE is currently set to 8K, which is a bit on the
>> smaller side, lets bump it up to 64K so that a bigger RAM_DISK can
>> be used with defconfig.
>>
>> Signed-off-by: Alim Akhtar <[email-masked]>
>> ---
>> Every time I build exynos_defconfig, I need to manually change RAM_SIZE
>> to match my ramdisk image size. I am not sure what is the best ramdisk size
>> might be, but bumping it to 64K might be a reasonable one.
>
> Is there still a reason to use ramdisks these days? If 8MB is not
> enough to have a useful initrd, that might mean that everyone else
> uses initramfs and you should just do the same thing?
>
There is not specific reason to still use ramdisks, but I feel till we 
remove this config, lets modify it to be used by few like me.
I am ok with either way.
Thanks
> Then we can also remove this option here.
>
> 	Arnd
>